import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    'url': '/rescue/login',
    headers: {
      isToken: false
    },
    'method': 'post',
    'data': data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    'url': '/rescue/getInfo',
    'method': 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    'url': '/rescue/logout',
    'method': 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    'url': '/rescue/captchaImage',
    headers: {
      isToken: false,
    },
    method: 'get',
    timeout: 20000
  })
}


// 获取验证码
export function loginApp(data) {
  return request({
    'url': '/rescue/loginApp',
    headers: {
      isToken: false
    },
    method: 'post',
    timeout: 20000,
	data
  })
}

// 使用租户域名（标识），获得租户编号
export function getTenantIdByWebsite(website) {
  return request({
    url: '/system/tenant/get-by-website',
    method: 'get',
    params: {
      website
    }
  })
}